<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:01 CEST 2020 -->
<title>CriticalityInterfaceSpecification</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CriticalityInterfaceSpecification";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CriticalityInterfaceSpecification.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityLevel.html" title="interface in org.polarsys.chess.chessmlprofile.Safety"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html" target="_top">Frames</a></li>
<li><a href="CriticalityInterfaceSpecification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Safety</div>
<h2 title="Interface CriticalityInterfaceSpecification" class="title">Interface CriticalityInterfaceSpecification</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/impl/CriticalityInterfaceSpecificationImpl.html" title="class in org.polarsys.chess.chessmlprofile.Safety.impl">CriticalityInterfaceSpecificationImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">CriticalityInterfaceSpecification</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Criticality Interface Specification</b></em>'.
 <!-- end-user-doc -->

 <!-- begin-model-doc -->
 Allows for a given provided port of a component instance to constrains the criticality level that a given component isntance must have in order to be able to access the port.
 In case of base Constraint, the constrained element must refer a provided port+ instance or a slot, the latter as instance of a provided port.
 In case of base Comment, its usage is the same of the CHRTSpecification.
 <!-- end-model-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html#getBase_Constraint--"><code><em>Base Constraint</em></code></a></li>
   <li><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html#getAcceptedCriticalityForClients--"><code><em>Accepted Criticality For Clients</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/SafetyPackage.html#getCriticalityInterfaceSpecification--"><code>SafetyPackage.getCriticalityInterfaceSpecification()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityLevel.html" title="interface in org.polarsys.chess.chessmlprofile.Safety">CriticalityLevel</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html#getAcceptedCriticalityForClients--">getAcceptedCriticalityForClients</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Accepted Criticality For Clients</b></em>' reference list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Constraint</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html#getBase_Constraint--">getBase_Constraint</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Constraint</b></em>' reference.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html#setBase_Constraint-org.eclipse.uml2.uml.Constraint-">setBase_Constraint</a></span>(org.eclipse.uml2.uml.Constraint&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html#getBase_Constraint--"><code><em>Base Constraint</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBase_Constraint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Constraint</h4>
<pre>org.eclipse.uml2.uml.Constraint&nbsp;getBase_Constraint()</pre>
<div class="block">Returns the value of the '<em><b>Base Constraint</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Constraint</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Constraint</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html#setBase_Constraint-org.eclipse.uml2.uml.Constraint-"><code>setBase_Constraint(Constraint)</code></a>, 
<a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/SafetyPackage.html#getCriticalityInterfaceSpecification_Base_Constraint--"><code>SafetyPackage.getCriticalityInterfaceSpecification_Base_Constraint()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Constraint-org.eclipse.uml2.uml.Constraint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Constraint</h4>
<pre>void&nbsp;setBase_Constraint(org.eclipse.uml2.uml.Constraint&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html#getBase_Constraint--"><code><em>Base Constraint</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Constraint</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html#getBase_Constraint--"><code>getBase_Constraint()</code></a></dd>
</dl>
</li>
</ul>
<a name="getAcceptedCriticalityForClients--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAcceptedCriticalityForClients</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityLevel.html" title="interface in org.polarsys.chess.chessmlprofile.Safety">CriticalityLevel</a>&gt;&nbsp;getAcceptedCriticalityForClients()</pre>
<div class="block">Returns the value of the '<em><b>Accepted Criticality For Clients</b></em>' reference list.
 The list contents are of type <a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityLevel.html" title="interface in org.polarsys.chess.chessmlprofile.Safety"><code>CriticalityLevel</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Accepted Criticality For Clients</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Accepted Criticality For Clients</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/SafetyPackage.html#getCriticalityInterfaceSpecification_AcceptedCriticalityForClients--"><code>SafetyPackage.getCriticalityInterfaceSpecification_AcceptedCriticalityForClients()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CriticalityInterfaceSpecification.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/polarsys/chess/chessmlprofile/Safety/CriticalityLevel.html" title="interface in org.polarsys.chess.chessmlprofile.Safety"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/chessmlprofile/Safety/CriticalityInterfaceSpecification.html" target="_top">Frames</a></li>
<li><a href="CriticalityInterfaceSpecification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
